﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.3.0/WinDynamicDesktop_5.3.0_x86_Setup.exe'
$url64      = 'https://github.com/t1m0thyj/WinDynamicDesktop/releases/download/v5.3.0/WinDynamicDesktop_5.3.0_x64_Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64         = $url64

  softwareName  = 'WinDynamicDesktop*'

  checksum      = 'f84a1236777c986afb3327765786e9151fc0ee7d55556a472f3cda1329117a1a'
  checksumType  = 'sha256'
  checksum64    = '375496db5485f4bff9aef9fbc1250a90bede8d06b73494afeb321a301ae44c77'
  checksumType64= 'sha256'

  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /RESTARTAPPLICATIONS'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
